import { getAnalytics } from '@orbit-software/analytics';
/**
 * Base analytics parameters used across multiple tracking events.
 */
export declare function getBaseAnalyticsParams(): {
    game_id: any;
    game_title: any;
    game_url: string;
};
type BiAnalytics = ReturnType<typeof getAnalytics>;
export declare function initAnalytics(): BiAnalytics;
export declare function getBiSessionId(): string;
declare class AnalyticsServiceImpl {
    identify(userId: string | number): void;
    track(event: string, properties?: Record<string, unknown>): void;
}
export declare const analytics: AnalyticsServiceImpl;
export {};
